package ru.myitschool.work.api;

import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.PATCH;
import retrofit2.http.Path;
import ru.myitschool.work.api.entity.Code;
import ru.myitschool.work.api.entity.Employee;

public interface RequestsAPI {
    // Тут будут пути и типы api-запросов.

    // Запрос для проверки пользователя, используется при входе.
    @GET("/api/{login}/auth")
    Call<Void> verificationLogin(@Path("login") String login);

    @GET("/api/{login}/info")
    Call<Employee> getEmployee(@Path("login") String login);

    @PATCH("/api/{login}/open")
    Call<Void> visit(@Path("login") String login, @Body Code code);
}